Loading...
Searching...
No Matches
pcl::device::PrincipalCurvatures Struct Reference

`#include </build/pcl-oe1NcQ/pcl-1.14.0+dfsg/gpu/features/src/internal.hpp>`

## Public Attributes

union { |
float principal_curvature [3] |
struct { |
float principal_curvature_x |
float principal_curvature_y |
float principal_curvature_z |
} |  |
}; |  |
float | pc1
float | pc2

## Detailed Description

Definition at line 91 of file internal.hpp.

## Member Data Documentation

## [union]

union { ... } pcl::device::PrincipalCurvatures

## pc1

float pcl::device::PrincipalCurvatures::pc1

Definition at line 103 of file internal.hpp.

## pc2

float pcl::device::PrincipalCurvatures::pc2

Definition at line 104 of file internal.hpp.

## principal_curvature

float pcl::device::PrincipalCurvatures::principal_curvature[3]

Definition at line 95 of file internal.hpp.

## principal_curvature_x

float pcl::device::PrincipalCurvatures::principal_curvature_x

Definition at line 98 of file internal.hpp.

## principal_curvature_y

float pcl::device::PrincipalCurvatures::principal_curvature_y

Definition at line 99 of file internal.hpp.

## principal_curvature_z

float pcl::device::PrincipalCurvatures::principal_curvature_z

Definition at line 100 of file internal.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-oe1NcQ/pcl-1.14.0+dfsg/gpu/features/src/internal.hpp